FINGER(1)

NAZWA
finger - program do sprawdzania informacji o użytkowniku

SKŁADNIA
finger [-lmsp] [użytkownik ...] [użytkownik@host ...]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

finger wyświetla informacje o użytkownikach danego systemu.

Dozwolone opcje to:

  -s
finger
    podaje nazwę użytkownika (login name), imię i nazwisko, nazwę terminala i możliwość pisania do niego
     (``*'' po nazwie terminala oznacza że prawo pisania do niego jest zabronione), czas "bezczynności", czas zalogowania się, adres i telefon biura.

    Czas logowania wyświetlany jest w następującym formacie: miesiąc, dzień, godzina i minuty. Jeśli czas ten jest większy niż sześć miesięcy wyświetlany jest rok a nie czas co do godziny i minuty.

    Nieznane urządzenia jak i nie dające się określić czasy zalogowania się i bezczynności pokazywane są jako gwiazdki.

-l  Po podaniu tej opcji finger wyświetla pełną informację, pokazaną w kilku liniach, określoną przez opcję -s plus dodatkowo katalog domowy użytkownika, telefon domowy, powłoka logowania, informację o jego poczcie, i zawartość plików .plan, .project i .forward z katalogu domowego użytkownika.

    Numery telefonów podane jako jedenastocyfrowe liczby są wyświetlane w formacie ``+N-NNN-NNN-NNNN''. Numery podane jako dziesięcio- lub siedmiocyfrowe liczby są wyświetlane jako jego odpowiedni podłańcuch. Numery podane jako liczby pięciocyfrowe są wyświetlane w formacie ``xN-NNNN''. Numery podane jako liczby czterocyfrowe są wyświetlane w formacie ``xNNNN''.

    Jeśli prawo pisania do urządzenia jest wyłączone, wtedy tekst ``(messages off)'' jest dołączany do lini zawierającej nazwę urządzenia. Przy podanej opcji -l informacja o terminalu zalogowanego użytkownika jest podana dla każdego użytkownika i powtórzona w zależności od liczby logowań się.

    Informacja o braku poczty zasygnalizowana jest tekstem ``No Mail.'', Jeśli użytkownik sprawdził swoją pocztą zanim przyszła nowa wyświetlany jest tekst ``Mail last read DDD MMM ## HH:MM YYYY (TZ)'' , lub ``New mail received ...'', `` Unread since ...'' jeśli użytkownik ma nową pocztę.

-p  Wyłącza w opcji -l programu finger wyświetlanie zawartości plików .plan i .project.

-m  Wyłącza wyszukiwanie nazw użytkowników. Nazwa użytkownika podawana jako argument programu finger jest zazwyczaj nazwą użytkownika w systemie; jednakże, finger wyszukuje tego ciągu także w prawdziwej nazwie użytkownika, chyba że zostanie podana opcja -m. Nie istnieje rozróżnienie na duże i małe litery w nazwach wyszukiwanych przez finger.

Jeśli nie ma podanych żadnych opcji, finger standardowo wyświetla informację w stylu opcji -l jeśli nazwa użytkownika lub systemu została podana, format informacji odpowiada opcji -s. Jeśli któraś z informacji nie jest dostępna, niektórych pól może brakować.

Jeśli nie zostały podane żadne argumenty, finger wypisze informację dla każdego użytkownika zalogowanego w danej chwili w systemie.

finger może być wykorzystany do wyszukiwania użytkowników na odległym systemie. Zamiast pojedynczej nazwy użytkownika użytkownik podajemy użytkownik@host, lub @host, gdzie informacja w pierwszym przypadku standardowo wyświetlana jest w formacie opcji -l, a w drugim w formacie opcji -s. Opcja -l jest jedyną opcją jaka może być przekazana odległemu systemowi.

ZOBACZ TAKŻE
chfn(1), passwd(1), w(1), who(1)

HISTORIA
Polecenie finger pojawiło się po raz pierwszy w BSD 3.0

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 finger

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.